Bug 1651028 (perl-Minion-Backend-SQLite) - Review Request: perl-Minion-Backend-SQLite - SQLite backend for Minion job queue
Summary: Review Request: perl-Minion-Backend-SQLite - SQLite backend for Minion job queue
Keywords:
Status: CLOSED ERRATA
Alias: perl-Minion-Backend-SQLite
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1650969
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 23:02 UTC by Emmanuel Seyman
Modified: 2019-01-23 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 01:07:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2018-11-18 23:02:08 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Minion-Backend-SQLite/perl-Minion-Backend-SQLite.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Minion-Backend-SQLite/perl-Minion-Backend-SQLite-4.002-1.fc29.src.rpm
Description:
Minion::Backend::SQLite is a backend for Minion based on Mojo::SQLite. All
necessary tables will be created automatically with a set of migrations
named minion. If no connection string or :temp: is provided, the database
will be created in a temporary directory.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Robert-André Mauchin 🐧 2018-11-18 23:55:26 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: 0811d41b9c4c672c9ac63a0261b3f5b12e3c9440219c109b57fd743a19a1c309) is original. Ok.
Summary verified from lib/Minion/Backend/SQLite.pm. Ok.
Description verified from lib/Minion/Backend/SQLite.pm. Ok.
License verified from lib/Minion/Backend/SQLite.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Minion-Backend-SQLite.spec review-perl-Minion-Backend-SQLite/results/perl-Minion-Backend-SQLite-4.002-1.fc30.noarch.rpm review-perl-Minion-Backend-SQLite/results/perl-Minion-Backend-SQLite-4.002-1.fc30.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


rpm -q -lv -p perl-Minion-Backend-SQLite-4.002-1.fc30.noarch.rpm
drwxr-xr-x    2 root    root                        0 nov. 19 00:43 /usr/share/doc/perl-Minion-Backend-SQLite
-rw-r--r--    1 root    root                     4430 oct.  3 19:58 /usr/share/doc/perl-Minion-Backend-SQLite/CONTRIBUTING.md
-rw-r--r--    1 root    root                     3532 oct.  3 19:58 /usr/share/doc/perl-Minion-Backend-SQLite/Changes
-rw-r--r--    1 root    root                    14118 oct.  3 19:58 /usr/share/doc/perl-Minion-Backend-SQLite/README
drwxr-xr-x    2 root    root                        0 oct.  3 19:58 /usr/share/doc/perl-Minion-Backend-SQLite/examples
-rw-r--r--    1 root    root                     3434 oct.  3 19:58 /usr/share/doc/perl-Minion-Backend-SQLite/examples/minion_bench.pl
drwxr-xr-x    2 root    root                        0 nov. 19 00:43 /usr/share/licenses/perl-Minion-Backend-SQLite
-rw-r--r--    1 root    root                     9037 oct.  3 19:58 /usr/share/licenses/perl-Minion-Backend-SQLite/LICENSE
-rw-r--r--    1 root    root                     5812 nov. 19 00:43 /usr/share/man/man3/Minion::Backend::SQLite.3pm.gz
drwxr-xr-x    2 root    root                        0 nov. 19 00:43 /usr/share/perl5/vendor_perl/Minion
drwxr-xr-x    2 root    root                        0 nov. 19 00:43 /usr/share/perl5/vendor_perl/Minion/Backend
-rw-r--r--    1 root    root                    30316 nov. 19 00:43 /usr/share/perl5/vendor_perl/Minion/Backend/SQLite.pm
File permissions and layout are Ok.

rpm -q --requires -p perl-Minion-Backend-SQLite-4.002-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(Carp)
      1 perl(List::Util)
      1 perl(Mojo::Base)
      1 perl(Mojo::SQLite)
      1 perl(Mojo::Util)
      1 perl(Sys::Hostname)
      1 perl(Time::HiRes)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.


rpm -q --provides -p perl-Minion-Backend-SQLite-4.002-1.fc30.noarch.rpm
perl(Minion::Backend::SQLite) = 4.002
perl-Minion-Backend-SQLite = 4.002-1.fc30
Binary provides are Ok.

Package builds in Mock.
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Gwyn Ciesla 2018-11-19 15:09:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Minion-Backend-SQLite

Comment 3 Emmanuel Seyman 2019-01-23 01:07:29 UTC
This package is now in Fedora 28, 29 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.